<?php
/*
    VC icons
    integrated in core theme
*/
namespace vc;

if( ! defined( 'ABSPATH' ) ) exit;

new icons;
class icons {

    // https://www.elegantthemes.com/blog/resources/elegant-icon-font
    public static $elegantIcons = array(
        array( 'arrow_up' => 'Arrow up' ),
        array( 'arrow_down' => 'Arrow down' ),
        array( 'arrow_left' => 'Arrow left' ),
        array( 'arrow_right' => 'Arrow right' ),
        array( 'arrow_left-up' => 'Arrow left-up' ),
        array( 'arrow_right-up' => 'Arrow right-up' ),
        array( 'arrow_right-down' => 'Arrow right-down' ),
        array( 'arrow_left-down' => 'Arrow left-down' ),
        array( 'arrow-up-down' => 'Arrow up-down' ),
        array( 'arrow_up-down_alt' => 'Arrow up-down_alt' ),
        array( 'arrow_left-right_alt' => 'Arrow left-right_alt' ),
        array( 'arrow_left-right' => 'Arrow left-right' ),
        array( 'arrow_expand_alt2' => 'Arrow expand_alt2' ),
        array( 'arrow_expand_alt' => 'Arrow expand_alt' ),
        array( 'arrow_condense' => 'Arrow condense' ),
        array( 'arrow_expand' => 'Arrow expand' ),
        array( 'arrow_move' => 'Arrow move' ),
        array( 'arrow_carrot-up' => 'Arrow carrot-up' ),
        array( 'arrow_carrot-down' => 'Arrow carrot-down' ),
        array( 'arrow_carrot-left' => 'Arrow carrot-left' ),
        array( 'arrow_carrot-right' => 'Arrow carrot-right' ),
        array( 'arrow_carrot-2up' => 'Arrow carrot-2up' ),
        array( 'arrow_carrot-2down' => 'Arrow carrot-2down' ),
        array( 'arrow_carrot-2left' => 'Arrow carrot-2left' ),
        array( 'arrow_carrot-2right' => 'Arrow carrot-2right' ),
        array( 'arrow_carrot-up_alt2' => 'Arrow carrot-up_alt2' ),
        array( 'arrow_carrot-down_alt2' => 'Arrow carrot-down_alt2' ),
        array( 'arrow_carrot-left_alt2' => 'Arrow carrot-left_alt2' ),
        array( 'arrow_carrot-right_alt2' => 'Arrow carrot-right_alt2' ),
        array( 'arrow_carrot-2up_alt2' => 'Arrow carrot-2up_alt2' ),
        array( 'arrow_carrot-2down_alt2' => 'Arrow carrot-2down_alt2' ),
        array( 'arrow_carrot-2left_alt2' => 'Arrow carrot-2left_alt2' ),
        array( 'arrow_carrot-2right_alt2' => 'Arrow carrot-2right_alt2' ),
        array( 'arrow_triangle-up' => 'Arrow triangle-up' ),
        array( 'arrow_triangle-down' => 'Arrow triangle-down' ),
        array( 'arrow_triangle-left' => 'Arrow triangle-left' ),
        array( 'arrow_triangle-right' => 'Arrow triangle-right' ),
        array( 'arrow_triangle-up_alt2' => 'Arrow triangle-up_alt2' ),
        array( 'arrow_triangle-down_alt2' => 'Arrow triangle-down_alt2' ),
        array( 'arrow_triangle-left_alt2' => 'Arrow triangle-left_alt2' ),
        array( 'arrow_triangle-right_alt2' => 'Arrow triangle-right_alt2' ),
        array( 'arrow_back' => 'Arrow back' ),
        array( 'icon_minus-06' => 'Icon minus-06' ),
        array( 'icon_plus' => 'Icon plus' ),
        array( 'icon_close' => 'Icon close' ),
        array( 'icon_check' => 'Icon check' ),
        array( 'icon_minus_alt2' => 'Icon minus_alt2' ),
        array( 'icon_plus_alt2' => 'Icon plus_alt2' ),
        array( 'icon_close_alt2' => 'Icon close_alt2' ),
        array( 'icon_check_alt2' => 'Icon check_alt2' ),
        array( 'icon_zoom-out_alt' => 'Icon zoom-out_alt' ),
        array( 'icon_zoom-in_alt' => 'Icon zoom-in_alt' ),
        array( 'icon_search' => 'Icon search' ),
        array( 'icon_box-empty' => 'Icon box-empty' ),
        array( 'icon_box-selected' => 'Icon box-selected' ),
        array( 'icon_minus-box' => 'Icon minus-box' ),
        array( 'icon_plus-box' => 'Icon plus-box' ),
        array( 'icon_box-checked' => 'Icon box-checked' ),
        array( 'icon_circle-empty' => 'Icon circle-empty' ),
        array( 'icon_circle-slelected' => 'Icon circle-slelected' ),
        array( 'icon_stop_alt2' => 'Icon stop_alt2' ),
        array( 'icon_stop' => 'Icon stop' ),
        array( 'icon_pause_alt2' => 'Icon pause_alt2' ),
        array( 'icon_pause' => 'Icon pause' ),
        array( 'icon_menu' => 'Icon menu' ),
        array( 'icon_menu-square_alt2' => 'Icon menu-square_alt2' ),
        array( 'icon_menu-circle_alt2' => 'Icon menu-circle_alt2' ),
        array( 'icon_ul' => 'Icon ul' ),
        array( 'icon_ol' => 'Icon ol' ),
        array( 'icon_adjust-horiz' => 'Icon adjust-horiz' ),
        array( 'icon_adjust-vert' => 'Icon adjust-vert' ),
        array( 'icon_document_alt' => 'Icon document_alt' ),
        array( 'icon_documents_alt' => 'Icon documents_alt' ),
        array( 'icon_pencil' => 'Icon pencil' ),
        array( 'icon_pencil-edit_alt' => 'Icon pencil-edit_alt' ),
        array( 'icon_pencil-edit' => 'Icon pencil-edit' ),
        array( 'icon_folder-alt' => 'Icon folder-alt' ),
        array( 'icon_folder-open_alt' => 'Icon folder-open_alt' ),
        array( 'icon_folder-add_alt' => 'Icon folder-add_alt' ),
        array( 'icon_info_alt' => 'Icon info_alt' ),
        array( 'icon_error-oct_alt' => 'Icon error-oct_alt' ),
        array( 'icon_error-circle_alt' => 'Icon error-circle_alt' ),
        array( 'icon_error-triangle_alt' => 'Icon error-triangle_alt' ),
        array( 'icon_question_alt2' => 'Icon question_alt2' ),
        array( 'icon_question' => 'Icon question' ),
        array( 'icon_comment_alt' => 'Icon comment_alt' ),
        array( 'icon_chat_alt' => 'Icon chat_alt' ),
        array( 'icon_vol-mute_alt' => 'Icon vol-mute_alt' ),
        array( 'icon_volume-low_alt' => 'Icon volume-low_alt' ),
        array( 'icon_volume-high_alt' => 'Icon volume-high_alt' ),
        array( 'icon_quotations' => 'Icon quotations' ),
        array( 'icon_quotations_alt2' => 'Icon quotations_alt2' ),
        array( 'icon_clock_alt' => 'Icon clock_alt' ),
        array( 'icon_lock_alt' => 'Icon lock_alt' ),
        array( 'icon_lock-open_alt' => 'Icon lock-open_alt' ),
        array( 'icon_key_alt' => 'Icon key_alt' ),
        array( 'icon_cloud_alt' => 'Icon cloud_alt' ),
        array( 'icon_cloud-upload_alt' => 'Icon cloud-upload_alt' ),
        array( 'icon_cloud-download_alt' => 'Icon cloud-download_alt' ),
        array( 'icon_image' => 'Icon image' ),
        array( 'icon_images' => 'Icon images' ),
        array( 'icon_lightbulb_alt' => 'Icon lightbulb_alt' ),
        array( 'icon_gift_alt' => 'Icon gift_alt' ),
        array( 'icon_house_alt' => 'Icon house_alt' ),
        array( 'icon_genius' => 'Icon genius' ),
        array( 'icon_mobile' => 'Icon mobile' ),
        array( 'icon_tablet' => 'Icon tablet' ),
        array( 'icon_laptop' => 'Icon laptop' ),
        array( 'icon_desktop' => 'Icon desktop' ),
        array( 'icon_camera_alt' => 'Icon camera_alt' ),
        array( 'icon_mail_alt' => 'Icon mail_alt' ),
        array( 'icon_cone_alt' => 'Icon cone_alt' ),
        array( 'icon_ribbon_alt' => 'Icon ribbon_alt' ),
        array( 'icon_bag_alt' => 'Icon bag_alt' ),
        array( 'icon_creditcard' => 'Icon creditcard' ),
        array( 'icon_cart_alt' => 'Icon cart_alt' ),
        array( 'icon_paperclip' => 'Icon paperclip' ),
        array( 'icon_tag_alt' => 'Icon tag_alt' ),
        array( 'icon_tags_alt' => 'Icon tags_alt' ),
        array( 'icon_trash_alt' => 'Icon trash_alt' ),
        array( 'icon_cursor_alt' => 'Icon cursor_alt' ),
        array( 'icon_mic_alt' => 'Icon mic_alt' ),
        array( 'icon_compass_alt' => 'Icon compass_alt' ),
        array( 'icon_pin_alt' => 'Icon pin_alt' ),
        array( 'icon_pushpin_alt' => 'Icon pushpin_alt' ),
        array( 'icon_map_alt' => 'Icon map_alt' ),
        array( 'icon_drawer_alt' => 'Icon drawer_alt' ),
        array( 'icon_toolbox_alt' => 'Icon toolbox_alt' ),
        array( 'icon_book_alt' => 'Icon book_alt' ),
        array( 'icon_calendar' => 'Icon calendar' ),
        array( 'icon_film' => 'Icon film' ),
        array( 'icon_table' => 'Icon table' ),
        array( 'icon_contacts_alt' => 'Icon contacts_alt' ),
        array( 'icon_headphones' => 'Icon headphones' ),
        array( 'icon_lifesaver' => 'Icon lifesaver' ),
        array( 'icon_piechart' => 'Icon piechart' ),
        array( 'icon_refresh' => 'Icon refresh' ),
        array( 'icon_link_alt' => 'Icon link_alt' ),
        array( 'icon_link' => 'Icon link' ),
        array( 'icon_loading' => 'Icon loading' ),
        array( 'icon_blocked' => 'Icon blocked' ),
        array( 'icon_archive_alt' => 'Icon archive_alt' ),
        array( 'icon_heart_alt' => 'Icon heart_alt' ),
        array( 'icon_star_alt' => 'Icon star_alt' ),
        array( 'icon_star-half_alt' => 'Icon star-half_alt' ),
        array( 'icon_star' => 'Icon star' ),
        array( 'icon_star-half' => 'Icon star-half' ),
        array( 'icon_tools' => 'Icon tools' ),
        array( 'icon_tool' => 'Icon tool' ),
        array( 'icon_cog' => 'Icon cog' ),
        array( 'icon_cogs' => 'Icon cogs' ),
        array( 'arrow_up_alt' => 'Arrow up_alt' ),
        array( 'arrow_down_alt' => 'Arrow down_alt' ),
        array( 'arrow_left_alt' => 'Arrow left_alt' ),
        array( 'arrow_right_alt' => 'Arrow right_alt' ),
        array( 'arrow_left-up_alt' => 'Arrow left-up_alt' ),
        array( 'arrow_right-up_alt' => 'Arrow right-up_alt' ),
        array( 'arrow_right-down_alt' => 'Arrow right-down_alt' ),
        array( 'arrow_left-down_alt' => 'Arrow left-down_alt' ),
        array( 'arrow_condense_alt' => 'Arrow condense_alt' ),
        array( 'arrow_expand_alt3' => 'Arrow expand_alt3' ),
        array( 'arrow_carrot_up_alt' => 'Arrow carrot_up_alt' ),
        array( 'arrow_carrot-down_alt' => 'Arrow carrot-down_alt' ),
        array( 'arrow_carrot-left_alt' => 'Arrow carrot-left_alt' ),
        array( 'arrow_carrot-right_alt' => 'Arrow carrot-right_alt' ),
        array( 'arrow_carrot-2up_alt' => 'Arrow carrot-2up_alt' ),
        array( 'arrow_carrot-2dwnn_alt' => 'Arrow carrot-2dwnn_alt' ),
        array( 'arrow_carrot-2left_alt' => 'Arrow carrot-2left_alt' ),
        array( 'arrow_carrot-2right_alt' => 'Arrow carrot-2right_alt' ),
        array( 'arrow_triangle-up_alt' => 'Arrow triangle-up_alt' ),
        array( 'arrow_triangle-down_alt' => 'Arrow triangle-down_alt' ),
        array( 'arrow_triangle-left_alt' => 'Arrow triangle-left_alt' ),
        array( 'arrow_triangle-right_alt' => 'Arrow triangle-right_alt' ),
        array( 'icon_minus_alt' => 'Icon minus_alt' ),
        array( 'icon_plus_alt' => 'Icon plus_alt' ),
        array( 'icon_close_alt' => 'Icon close_alt' ),
        array( 'icon_check_alt' => 'Icon check_alt' ),
        array( 'icon_zoom-out' => 'Icon zoom-out' ),
        array( 'icon_zoom-in' => 'Icon zoom-in' ),
        array( 'icon_stop_alt' => 'Icon stop_alt' ),
        array( 'icon_menu-square_alt' => 'Icon menu-square_alt' ),
        array( 'icon_menu-circle_alt' => 'Icon menu-circle_alt' ),
        array( 'icon_document' => 'Icon document' ),
        array( 'icon_documents' => 'Icon documents' ),
        array( 'icon_pencil_alt' => 'Icon pencil_alt' ),
        array( 'icon_folder' => 'Icon folder' ),
        array( 'icon_folder-open' => 'Icon folder-open' ),
        array( 'icon_folder-add' => 'Icon folder-add' ),
        array( 'icon_folder_upload' => 'Icon folder_upload' ),
        array( 'icon_folder_download' => 'Icon folder_download' ),
        array( 'icon_info' => 'Icon info' ),
        array( 'icon_error-circle' => 'Icon error-circle' ),
        array( 'icon_error-oct' => 'Icon error-oct' ),
        array( 'icon_error-triangle' => 'Icon error-triangle' ),
        array( 'icon_question_alt' => 'Icon question_alt' ),
        array( 'icon_comment' => 'Icon comment' ),
        array( 'icon_chat' => 'Icon chat' ),
        array( 'icon_vol-mute' => 'Icon vol-mute' ),
        array( 'icon_volume-low' => 'Icon volume-low' ),
        array( 'icon_volume-high' => 'Icon volume-high' ),
        array( 'icon_quotations_alt' => 'Icon quotations_alt' ),
        array( 'icon_clock' => 'Icon clock' ),
        array( 'icon_lock' => 'Icon lock' ),
        array( 'icon_lock-open' => 'Icon lock-open' ),
        array( 'icon_key' => 'Icon key' ),
        array( 'icon_cloud' => 'Icon cloud' ),
        array( 'icon_cloud-upload' => 'Icon cloud-upload' ),
        array( 'icon_cloud-download' => 'Icon cloud-download' ),
        array( 'icon_lightbulb' => 'Icon lightbulb' ),
        array( 'icon_gift' => 'Icon gift' ),
        array( 'icon_house' => 'Icon house' ),
        array( 'icon_camera' => 'Icon camera' ),
        array( 'icon_mail' => 'Icon mail' ),
        array( 'icon_cone' => 'Icon cone' ),
        array( 'icon_ribbon' => 'Icon ribbon' ),
        array( 'icon_bag' => 'Icon bag' ),
        array( 'icon_cart' => 'Icon cart' ),
        array( 'icon_tag' => 'Icon tag' ),
        array( 'icon_tags' => 'Icon tags' ),
        array( 'icon_trash' => 'Icon trash' ),
        array( 'icon_cursor' => 'Icon cursor' ),
        array( 'icon_mic' => 'Icon mic' ),
        array( 'icon_compass' => 'Icon compass' ),
        array( 'icon_pin' => 'Icon pin' ),
        array( 'icon_pushpin' => 'Icon pushpin' ),
        array( 'icon_map' => 'Icon map' ),
        array( 'icon_drawer' => 'Icon drawer' ),
        array( 'icon_toolbox' => 'Icon toolbox' ),
        array( 'icon_book' => 'Icon book' ),
        array( 'icon_contacts' => 'Icon contacts' ),
        array( 'icon_archive' => 'Icon archive' ),
        array( 'icon_heart' => 'Icon heart' ),
        array( 'icon_profile' => 'Icon profile' ),
        array( 'icon_group' => 'Icon group' ),
        array( 'icon_grid-2x2' => 'Icon grid-2x2' ),
        array( 'icon_grid-3x3' => 'Icon grid-3x3' ),
        array( 'icon_music' => 'Icon music' ),
        array( 'icon_pause_alt' => 'Icon pause_alt' ),
        array( 'icon_phone' => 'Icon phone' ),
        array( 'icon_upload' => 'Icon upload' ),
        array( 'icon_download' => 'Icon download' ),
        array( 'social_facebook' => 'Social facebook' ),
        array( 'social_twitter' => 'Social twitter' ),
        array( 'social_pinterest' => 'Social pinterest' ),
        array( 'social_googleplus' => 'Social googleplus' ),
        array( 'social_tumblr' => 'Social tumblr' ),
        array( 'social_tumbleupon' => 'Social tumbleupon' ),
        array( 'social_wordpress' => 'Social wordpress' ),
        array( 'social_instagram' => 'Social instagram' ),
        array( 'social_dribbble' => 'Social dribbble' ),
        array( 'social_vimeo' => 'Social vimeo' ),
        array( 'social_linkedin' => 'Social linkedin' ),
        array( 'social_rss' => 'Social rss' ),
        array( 'social_deviantart' => 'Social deviantart' ),
        array( 'social_share' => 'Social share' ),
        array( 'social_myspace' => 'Social myspace' ),
        array( 'social_skype' => 'Social skype' ),
        array( 'social_youtube' => 'Social youtube' ),
        array( 'social_picassa' => 'Social picassa' ),
        array( 'social_googledrive' => 'Social googledrive' ),
        array( 'social_flickr' => 'Social flickr' ),
        array( 'social_blogger' => 'Social blogger' ),
        array( 'social_spotify' => 'Social spotify' ),
        array( 'social_delicious' => 'Social delicious' ),
        array( 'social_facebook_circle' => 'Social facebook_circle' ),
        array( 'social_twitter_circle' => 'Social twitter_circle' ),
        array( 'social_pinterest_circle' => 'Social pinterest_circle' ),
        array( 'social_googleplus_circle' => 'Social googleplus_circle' ),
        array( 'social_tumblr_circle' => 'Social tumblr_circle' ),
        array( 'social_stumbleupon_circle' => 'Social stumbleupon_circle' ),
        array( 'social_wordpress_circle' => 'Social wordpress_circle' ),
        array( 'social_instagram_circle' => 'Social instagram_circle' ),
        array( 'social_dribbble_circle' => 'Social dribbble_circle' ),
        array( 'social_vimeo_circle' => 'Social vimeo_circle' ),
        array( 'social_linkedin_circle' => 'Social linkedin_circle' ),
        array( 'social_rss_circle' => 'Social rss_circle' ),
        array( 'social_deviantart_circle' => 'Social deviantart_circle' ),
        array( 'social_share_circle' => 'Social share_circle' ),
        array( 'social_myspace_circle' => 'Social myspace_circle' ),
        array( 'social_skype_circle' => 'Social skype_circle' ),
        array( 'social_youtube_circle' => 'Social youtube_circle' ),
        array( 'social_picassa_circle' => 'Social picassa_circle' ),
        array( 'social_googledrive_alt2' => 'Social googledrive_alt2' ),
        array( 'social_flickr_circle' => 'Social flickr_circle' ),
        array( 'social_blogger_circle' => 'Social blogger_circle' ),
        array( 'social_spotify_circle' => 'Social spotify_circle' ),
        array( 'social_delicious_circle' => 'Social delicious_circle' ),
        array( 'social_facebook_square' => 'Social facebook_square' ),
        array( 'social_twitter_square' => 'Social twitter_square' ),
        array( 'social_pinterest_square' => 'Social pinterest_square' ),
        array( 'social_googleplus_square' => 'Social googleplus_square' ),
        array( 'social_tumblr_square' => 'Social tumblr_square' ),
        array( 'social_stumbleupon_square' => 'Social stumbleupon_square' ),
        array( 'social_wordpress_square' => 'Social wordpress_square' ),
        array( 'social_instagram_square' => 'Social instagram_square' ),
        array( 'social_dribbble_square' => 'Social dribbble_square' ),
        array( 'social_vimeo_square' => 'Social vimeo_square' ),
        array( 'social_linkedin_square' => 'Social linkedin_square' ),
        array( 'social_rss_square' => 'Social rss_square' ),
        array( 'social_deviantart_square' => 'Social deviantart_square' ),
        array( 'social_share_square' => 'Social share_square' ),
        array( 'social_myspace_square' => 'Social myspace_square' ),
        array( 'social_skype_square' => 'Social skype_square' ),
        array( 'social_youtube_square' => 'Social youtube_square' ),
        array( 'social_picassa_square' => 'Social picassa_square' ),
        array( 'social_googledrive_square' => 'Social googledrive_square' ),
        array( 'social_flickr_square' => 'Social flickr_square' ),
        array( 'social_blogger_square' => 'Social blogger_square' ),
        array( 'social_spotify_square' => 'Social spotify_square' ),
        array( 'social_delicious_square' => 'Social delicious_square' ),
        array( 'icon_printer' => 'Icon printer' ),
        array( 'icon_calulator' => 'Icon calulator' ),
        array( 'icon_building' => 'Icon building' ),
        array( 'icon_floppy' => 'Icon floppy' ),
        array( 'icon_drive' => 'Icon drive' ),
        array( 'icon_search-2' => 'Icon search-2' ),
        array( 'icon_id' => 'Icon id' ),
        array( 'icon_id-2' => 'Icon id-2' ),
        array( 'icon_puzzle' => 'Icon puzzle' ),
        array( 'icon_like' => 'Icon like' ),
        array( 'icon_dislike' => 'Icon dislike' ),
        array( 'icon_mug' => 'Icon mug' ),
        array( 'icon_currency' => 'Icon currency' ),
        array( 'icon_wallet' => 'Icon wallet' ),
        array( 'icon_pens' => 'Icon pens' ),
        array( 'icon_easel' => 'Icon easel' ),
        array( 'icon_flowchart' => 'Icon flowchart' ),
        array( 'icon_datareport' => 'Icon datareport' ),
        array( 'icon_briefcase' => 'Icon briefcase' ),
        array( 'icon_shield' => 'Icon shield' ),
        array( 'icon_percent' => 'Icon percent' ),
        array( 'icon_globe' => 'Icon globe' ),
        array( 'icon_globe-2' => 'Icon globe-2' ),
        array( 'icon_target' => 'Icon target' ),
        array( 'icon_hourglass' => 'Icon hourglass' ),
        array( 'icon_balance' => 'Icon balance' ),
        array( 'icon_rook' => 'Icon rook' ),
        array( 'icon_printer-alt' => 'Icon printer-alt' ),
        array( 'icon_calculator_alt' => 'Icon calculator_alt' ),
        array( 'icon_building_alt' => 'Icon building_alt' ),
        array( 'icon_floppy_alt' => 'Icon floppy_alt' ),
        array( 'icon_drive_alt' => 'Icon drive_alt' ),
        array( 'icon_search_alt' => 'Icon search_alt' ),
        array( 'icon_id_alt' => 'Icon id_alt' ),
        array( 'icon_id-2_alt' => 'Icon id-2_alt' ),
        array( 'icon_puzzle_alt' => 'Icon puzzle_alt' ),
        array( 'icon_like_alt' => 'Icon like_alt' ),
        array( 'icon_dislike_alt' => 'Icon dislike_alt' ),
        array( 'icon_mug_alt' => 'Icon mug_alt' ),
        array( 'icon_currency_alt' => 'Icon currency_alt' ),
        array( 'icon_wallet_alt' => 'Icon wallet_alt' ),
        array( 'icon_pens_alt' => 'Icon pens_alt' ),
        array( 'icon_easel_alt' => 'Icon easel_alt' ),
        array( 'icon_flowchart_alt' => 'Icon flowchart_alt' ),
        array( 'icon_datareport_alt' => 'Icon datareport_alt' ),
        array( 'icon_briefcase_alt' => 'Icon briefcase_alt' ),
        array( 'icon_shield_alt' => 'Icon shield_alt' ),
        array( 'icon_percent_alt' => 'Icon percent_alt' ),
        array( 'icon_globe_alt' => 'Icon globe_alt' ),
        array( 'icon_clipboard' => 'Icon clipboard' ),
    );

    /*
        General constructor
    */
    public function __construct() {
    
        // exit if vc is not installed  
        if (!helper::is_active_plugin('js_composer/js_composer.php')) return;    

        // elegant-icons for visual composer
        add_filter( 'vc_iconpicker-type-elegant', array($this, 'vc_iconpicker_type_elegant'), 9 );
        add_action( 'vc_base_register_front_css', array($this, 'vc_iconpicker_base_register_css'), 9 );
        add_action( 'vc_base_register_admin_css', array($this, 'vc_iconpicker_base_register_css'), 9 );
        add_action( 'vc_backend_editor_enqueue_js_css', array($this, 'vc_iconpicker_editor_jscss'), 9 );
        add_action( 'vc_frontend_editor_enqueue_js_css', array($this, 'vc_iconpicker_editor_jscss'), 9 );
        
    }
    
    /* 
        Elegant Icons
    */
    // enqueue icons
    public function vc_iconpicker_base_register_css() {
        wp_register_style( 'vc_elegant', get_template_directory_uri().'/assets/font/elegant_icons.css', null, '1.0', 'all' );
    }
    public function vc_iconpicker_editor_jscss() {
        wp_enqueue_style( 'vc_elegant' );
    }
    // icons array
    public function vc_iconpicker_type_elegant( $icons ) {
        return array_merge( $icons, icons::$elegantIcons );
    }

}
